Skip to main content
GET
/
trading
/
orders
/
{orderId}
Get order by ID
curl --request GET \
  --url https://api.anchorage-staging.com/v2/trading/orders/{orderId} \
  --header 'Api-Access-Key: <api-key>'
{
  "data": {
    "orderId": "c6d8c4a8-e883-4ae3-9f35-4a35d06c383d",
    "clOrderId": "40d846b7-6efb-48fa-acc9-dcace827c927",
    "accountId": "a05a846f-4ef0-11ed-a291-dafe71b41c83",
    "symbol": "BTC-USD",
    "side": "BUY",
    "orderQty": "1.0",
    "currency": "BTC",
    "orderType": "LIMIT",
    "limitPrice": "22840.9299",
    "timeInForce": "GTC",
    "orderStatus": "FILLED",
    "avgPx": "22840.9299",
    "avgPxAllIn": "22863.7708299",
    "leavesQty": "0.0",
    "cancelQty": "0.0",
    "cumQty": "1.0",
    "totalFee": "25.35",
    "feeCurrency": "USD",
    "rejectReason": "",
    "rejectReasonText": "",
    "submitTime'": "2023-03-07T19:49:06.286737Z",
    "transactTime": "2023-03-07T19:49:06.314322Z"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

orderId
string
required

The orderId or clientOrderId for the order to get details for

Response

Metadata about a specific trade

data
TradingOrderDetails · object
required